/**
 * Copyright (c) 2025 Eclipse Foundation
 *
 * This program and the accompanying materials are made available under the terms of the Eclipse
 * Public License 2.0 which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
package org.eclipsefoundation.git.eca.service;

import org.eclipsefoundation.git.eca.dto.GithubWebhookTracking;

/**
 * Service responsible for sending email notifications.
 */
public interface MailerService {
    /**
     * Notifies a configured recipient about an stuck revalidation request.
     * 
     * @param tracking the GithubWebhookTracking object containing information about the request
     * @param threshold the used threshold for the revalidation alert
     */
    void sendRevalidationAlert(GithubWebhookTracking tracking, Integer threshold);
}
